• Linux При apt upgrade происходит ошибка:
    Пакет nginx-full пока не настроен.
    Пакет nginx-light не установлен.
    Пакет nginx-extras не установлен.

    dpkg: ошибка при обработке пакета nginx (--configure):
    проблемы зависимостей — оставляем не настроенным
    Настраивается пакет fontconfig (2.13.1-2) …
    Regenerating fonts cache... done.
    Настраивается пакет libfontconfig1-dev:amd64 (2.13.1-2) …
    Обрабатываются триггеры для libc-bin (2.27-8) …
    При обработке следующих пакетов произошли ошибки:
    nginx-full
    nginx
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Шо делать???

Replies (17)

  • @ermine, писать oxpa!
  • @ermine, чинить!
  • @oxpa, где-то в недрах dpkg есть configure скрипт. посмотреть бы его.. Но в идеале — выкинуть этот nginx и поставить с nginx.org
  • @ermine, попробуй сделать apt -f install и apt install nginx-full.
  • @ma1uta, хотя лучше не брать nginx из реп, а подключить репозиторий от nginx.
  • @ma1uta, теперь видимо весь софт надо будет ставить откуда угодно, лишь бы не апт
  • @ermine, как в макоси
  • @ermine, А если ещё раз, `sudo dpkg --configure nginx` что выводит?
  • @max630, ermine@ermine:~$ sudo dpkg --configure nginx
    dpkg: зависимости пакетов не позволяют настроить пакет nginx:
    nginx зависит от nginx-full (<< 1.14.1-1.1~) | nginx-light (<< 1.14.1-1.1~) | nginx-extras (<< 1.14.1-1.1~), однако:
    Пакет nginx-full пока не настроен.
    Пакет nginx-light не установлен.
    Пакет nginx-extras не установлен.
    nginx зависит от nginx-full (>= 1.14.1-1) | nginx-light (>= 1.14.1-1) | nginx-extras (>= 1.14.1-1), однако:
    Пакет nginx-full пока не настроен.
    Пакет nginx-light не установлен.
    Пакет nginx-extras не установлен.

    dpkg: ошибка при обработке пакета nginx (--configure):
    проблемы зависимостей — оставляем не настроенным
    При обработке следующих пакетов произошли ошибки:
    nginx
  • @ermine, sudo apt purge nginx
  • @ma1uta, отпуржила
  • @ermine, хорошо, а sudo `dpkg --configure nginx-full`
  • @max630, а он у меня всё ещё стоит?
  • @ermine, ну не знаю
  • @max630, судя по содержимому скриптов, наиболее вероятна ошибка в nginx-common. А полных логов первой установки не сохранилось?
  • @max630, а если бы тебя брали на работу серьезным админом — тоже точно так же бы ответил?
  • @max630, удалила full и common, надеюсь, от линюха что-то осталось на месте